PHP学习_PHP技术_PHP网站建设_PHP程序员专注于PHP技术研究及学习

Adophper » 前端设计 » [转]Vue2.0 之 自带浏览器里无法打开(兼容处理) - 解决方案

[转]Vue2.0 之 自带浏览器里无法打开(兼容处理) - 解决方案

此文被围观888日期: 2017-04-27 分类 : 前端设计  标签:  ···

Vue 之 android内嵌H5页面不显示

出现这个问题,原因有很多

首先,别急,请看下面的推荐方案:

1、找个Android真机测试下(机型版本为4.4以上),真机联调测试(如果不知道怎么联调,那么请看这里:Android真机 - 联调chrome调试)


2、如果报 报错 vuex requires a Promise polyfill in this browser.那么,就是兼容性不够好,请看下面的解决方案:

首先,使用 node 安装 *babel-polyfill 命令*

npm install --save-dev -polyfill11


解决方案1:在 webpack.config.js 文件中,entry 入口处修改,加入即可

"babel-polyfill":"babel-polyfill",//用来解决的兼容性11

例如:

entry: {    "babel-polyfill":"babel-polyfill",//用来解决的兼容性
    app: path.resolve(__dirname, config.entry.module + "/app.js"),
    vendor: config.entry.vendor},1234512345


解决方案2:不修改webpack的情况下,在你的主入口文件头部加入,例如:app.js中加入即可

import 'babel-polyfill'11

例如:

import 'babel-polyfill'import Vue from 'vue';
Vue.config.debug = true;12341234



解决方案3:也就是使用cdn的资源,以js的文件加入到html页面:例如:

<script src="https://cdn.bootcss.com/babel-polyfill/6.23.0/polyfill.min.js"></script>11

PS:我没试过!


本站使用ThinkPHP框架开发读图网主题,目前托管在阿里云,图片由读图网提供. 蜀ICP备12031064号

Copyright © 2011-2017adophper.com All Rights Reserved.